summaryrefslogtreecommitdiff
path: root/dev-python/numexpr/numexpr-2.10.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-21 17:59:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-21 17:59:33 +0000
commit79aa2097e32f1c2d25866fbad318198acfc2ad99 (patch)
treee52dda7890f0bba79d0dbc55d24d9010e2e53f95 /dev-python/numexpr/numexpr-2.10.1.ebuild
parenta3adc44682105e9b5f06414998841c7b7f8740a2 (diff)
downloadbaldeagleos-repo-79aa2097e32f1c2d25866fbad318198acfc2ad99.tar.gz
baldeagleos-repo-79aa2097e32f1c2d25866fbad318198acfc2ad99.tar.xz
baldeagleos-repo-79aa2097e32f1c2d25866fbad318198acfc2ad99.zip
Adding metadata
Diffstat (limited to 'dev-python/numexpr/numexpr-2.10.1.ebuild')
-rw-r--r--dev-python/numexpr/numexpr-2.10.1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/numexpr/numexpr-2.10.1.ebuild b/dev-python/numexpr/numexpr-2.10.1.ebuild
new file mode 100644
index 000000000000..d7b317e79559
--- /dev/null
+++ b/dev-python/numexpr/numexpr-2.10.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Fast numerical array expression evaluator for Python and NumPy"
+HOMEPAGE="
+ https://github.com/pydata/numexpr/
+ https://pypi.org/project/numexpr/
+"
+SRC_URI="https://github.com/pydata/numexpr/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+
+DEPEND="
+ >=dev-python/numpy-2.0.0_rc:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ # broken with > 8 CPU threads?
+ # https://github.com/pydata/numexpr/issues/490
+ sed -e 's:test_max_threads_unset:_&:' \
+ -i numexpr/tests/test_numexpr.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pushd "${BUILD_DIR}/install/$(python_get_sitedir)" >/dev/null || die
+ "${EPYTHON}" - <<-EOF || die "Tests failed with ${EPYTHON}"
+ import sys,numexpr
+ sys.exit(0 if numexpr.test(verbosity=2).wasSuccessful() else 1)
+ EOF
+ pushd >/dev/null || die
+}